%define aurox_ver 11.0
%define	rel 1

%define	name	lefthand-lhfk
%define	version	1.5.1

Summary:	Lefthand Pena Ksigowo
Name:		%{name}
Version:	%{version}
Release:	%{aurox_ver}.aur.%{rel}
License:	Aplikacja Komercyjna
Url:		http://www.lefthand.pl/
Group:		Applications/Productivity
Source0:	%{name}-%{version}.tgz

AutoReqProv:	no

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	tar
Requires:	lefthand-firebird

%description
Program dla firm prowadzcych pene ksigi handlowe.


%prep
%setup -q -n %name-%version

%install
mkdir -p $RPM_BUILD_ROOT/
mv -f $RPM_BUILD_DIR/%{name}-%{version}/opt $RPM_BUILD_ROOT/opt

%clean
rm -rf $RPM_BUILD_ROOT

%post
usermod -G  root,bin,daemon,sys,adm,disk,wheel,firebird root
mkdir -p /opt/LefthandDB
chown firebird.firebird /opt/LefthandDB
if [ ! -f /opt/LefthandDB/lh.gdb ] ; then
                cp /opt/LHFK-%{version}/db/lh.gdb /opt/LefthandDB
fi
chown firebird.firebird /opt/LefthandDB/lh.gdb
chmod 750 /opt/LefthandDB
chmod 640 /opt/LefthandDB/lh.gdb
chown -R firebird.firebird /opt/LHFK-%{version}/db
chmod a+rwx /opt/LHFK-%{version}/backups


%files
%defattr(755,root,root)
/opt/*

%changelog
* Tue Jul 19 2005 Rafal Kwasny <rkwasny@aurox.org> lefthand-lhfk-1.5.1-11.0.aur.1
- new upstream release
- rebuild

* Mon Apr 18 2005 Aurox Team <aurox@aurox.org> :-
- Pierwsza paczka z wersja 1.3_adv

